{
    "pages": [
        // pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "app/pages/index/index",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.index.index%"
            }
        },
        {
            "path": "app/pages/auth/index",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.auth.index%"
            }
        },
        {
            "path": "app/pages/auth/agreement",
            "style": {
                "navigationBarTitleText": "%pages.auth.agreement%"
            }
        },
        {
            "path": "app/pages/auth/bind",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.auth.bind%"
            }
        },
        {
            "path": "app/pages/auth/login",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.auth.login%"
            }
        },
        {
            "path": "app/pages/auth/register",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.auth.register%"
            }
        },
        {
            "path": "app/pages/auth/resetpwd",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.auth.resetpwd%"
            }
        },
        {
            "path": "app/pages/index/diy",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.index.diy%"
            }
        },
        {
            "path": "app/pages/index/diy_form",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.index.diy_form%"
            }
        },
        {
            "path": "app/pages/index/diy_form_result",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.index.diy_form_result%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/index/diy_form_detail",
            "style": {
                "navigationBarTitleText": "%pages.index.diy_form_detail%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/index/close",
            "style": {
                "navigationBarTitleText": "%pages.index.close%"
            }
        },
        {
            "path": "app/pages/index/nosite",
            "style": {
                "navigationBarTitleText": "%pages.index.nosite%"
            }
        },
        {
            "path": "app/pages/pay/browser",
            "style": {
                "navigationBarTitleText": "%pages.pay.browser%"
            }
        },
        {
            "path": "app/pages/pay/result",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.pay.result%"
            }
        },
        {
            "path": "app/pages/setting/index",
            "style": {
                "navigationBarTitleText": "%pages.setting.index%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/webview/index",
            "style": {
                "navigationBarTitleText": "%pages.webview.index%"
            }
        },
        {
            "path": "app/pages/verify/index",
            "style": {
                "navigationBarTitleText": "%pages.verify.index%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/verify/verify",
            "style": {
                "navigationBarTitleText": "%pages.verify.verify%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/verify/detail",
            "style": {
                "navigationBarTitleText": "%pages.verify.detail%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/verify/record",
            "style": {
                "navigationBarTitleText": "%pages.verify.record%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/weapp/order_shipping",
            "style": {
                "navigationBarTitleText": "%pages.weapp.order_shipping%"
            }
        },
        {
            "path": "app/pages/friendspay/share",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.friendspay.share%"
            },
            "needLogin": true
        },
        {
            "path": "app/pages/friendspay/money",
            "style": {
                // #ifndef H5
                "navigationStyle": "custom",
                // #endif
                "navigationBarTitleText": "%pages.friendspay.money%"
            }
        }
    ],
    "subPackages": [
        // {{ PAGE_BEGAIN }}
        // SECKILL_PAGE_BEGIN
        // *********************************** seckill ***********************************
        {
            "root": "addon/seckill",
            "pages": [
                {
                    "path": "pages/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.index%"
                    }
                },
                {
                    "path": "pages/goods/list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.goods.list%"
                    }
                },
                {
                    "path": "pages/goods/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.goods.detail%"
                    }
                },
                {
                    "path": "pages/order/payment",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.order.payment%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/member/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.member.index%"
                    }
                },
                {
                    "path": "pages/order/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.order.detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/list",
                    "style": {
                        "navigationBarTitleText": "%seckill.pages.order.list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%seckill.pages.refund.detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/list",
                    "style": {
                        "navigationBarTitleText": "%seckill.pages.refund.list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/log",
                    "style": {
                        "navigationBarTitleText": "%seckill.pages.refund.log%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/apply",
                    "style": {
                        "navigationBarTitleText": "%seckill.pages.refund.apply%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/edit_apply",
                    "style": {
                        "navigationBarTitleText": "%seckill.pages.refund.edit_apply%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/card_record",
                    "style": {
                        "navigationBarTitleText": "%seckill.pages.order.card_record%"
                    },
                    "needLogin": true
                }
            ]
        },
        // SECKILL_PAGE_END
        // CMS_PAGE_BEGIN
        {
            "root": "addon/cms",
            "pages": [{
                    "path": "pages/list",
                    "style": {
                        "navigationBarTitleText": "%cms.pages.list%"
                    }
                },
                {
                    "path": "pages/detail",
                    "style": {
                        "navigationBarTitleText": "%cms.pages.detail%"
                    }
                }
            ]
        },
        // CMS_PAGE_END
        // SHOP_PAGE_BEGIN
        {
            "root": "addon/shop",
            "pages": [
                // *********************************** 商城 ***********************************
                {
                    "path": "pages/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.index%"
                    }
                },
                {
                    "path": "pages/coupon/list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.coupon.list%"
                    }
                },
                {
                    "path": "pages/coupon/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.coupon.detail%"
                    }
                },
                {
                    "path": "pages/discount/list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.discount.list%"
                    }
                },
                {
                    "path": "pages/evaluate/list",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.evaluate.list%"
                    }
                },
                {
                    "path": "pages/evaluate/order_evaluate",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.evaluate.order_evaluate%"
                    }
                },
                {
                    "path": "pages/evaluate/order_evaluate_view",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.evaluate.order_evaluate_view%"
                    }
                },
                {
                    "path": "pages/member/my_coupon",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.member.my_coupon%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/member/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.member.index%"
                    }
                },
                {
                    "path": "pages/goods/search",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.goods.search%"
                    }
                },
                {
                    "path": "pages/goods/list",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.goods.list%"
                    }
                },
                {
                    "path": "pages/goods/rank",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.goods.rank%"
                    }
                },
                {
                    "path": "pages/newcomer/list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.newcomer.list%"
                    }
                },
                {
                    "path": "pages/goods/detail",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.goods.detail%",
                        "navigationStyle": "custom"
                    }
                },
                {
                    "path": "pages/goods/cart",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.goods.cart%"
                    }
                },
                {
                    "path": "pages/goods/collect",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.goods.collect%"
                    },
					"needLogin": true
                },
                {
                    "path": "pages/goods/browse",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.goods.browse%"
                    },
					"needLogin": true
                },
                {
                    "path": "pages/goods/category",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.goods.category%"
                    }
                },
                {
                    "path": "pages/order/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.order.detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/list",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.order.list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/payment",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.order.payment%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/apply",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.refund.apply%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/edit_apply",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.refund.edit_apply%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/list",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.refund.list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.refund.detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/log",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.refund.log%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/point/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.point.index%"
                    }
                },
                {
                    "path": "pages/point/list",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.point.list%"
                    }
                },
                {
                    "path": "pages/point/detail",
                    "style": {
                        "navigationStyle": "custom",
                        "navigationBarTitleText": "%shop.pages.point.detail%"
                    }
                },
                {
                    "path": "pages/point/payment",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop.pages.point.payment%"
                    }
                },
                {
                    "path": "pages/point/order_list",
                    "style": {
                        "navigationBarTitleText": "%shop.pages.point.order_list%"
                    }
                }
            ]
        },
        // SHOP_PAGE_END
        // SOW_COMMUNITY_PAGE_BEGIN
        {
            "root": "addon/sow_community",
            "pages": [{
                    "path": "pages/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%sow_community.pages.index%"
                    }
                },
                {
                    "path": "pages/search",
                    "style": {
                        "navigationBarTitleText": "%sow_community.pages.search%"
                    }
                },
                {
                    "path": "pages/image/detail",
                    "style": {
                        "navigationBarTitleText": "%sow_community.pages.image.detail%"
                    }
                },
                {
                    "path": "pages/video/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%sow_community.pages.video.detail%"
                    }
                },
                {
                    "path": "pages/member",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%sow_community.pages.member%"
                    }
                },
                {
                    "path": "pages/topic_list",
                    "style": {
                        "navigationBarTitleText": "%sow_community.pages.topic_list%"
                    }
                },
                {
                    "path": "pages/create",
                    "style": {
                        "navigationBarTitleText": "%sow_community.pages.create%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/follow",
                    "style": {
                        "navigationBarTitleText": "%sow_community.pages.follow%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/sow_show",
                    "style": {
                        "navigationBarTitleText": "%sow_community.pages.sow_show%"
                    }
                }
            ]
        },
        // SOW_COMMUNITY_PAGE_END
        // RECHARGE_PAGE_BEGIN
        {
            "root": "addon/recharge",
            "pages": [{
                    "path": "pages/recharge",
                    "style": {
                        "navigationBarTitleText": "%recharge.pages.recharge%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/recharge_record",
                    "style": {
                        "navigationBarTitleText": "%recharge.pages.recharge_record%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/recharge_record_detail",
                    "style": {
                        "navigationBarTitleText": "%recharge.pages.recharge_record_detail%"
                    },
                    "needLogin": true
                }
            ]
        },
        // RECHARGE_PAGE_END
        // SHOP_FENXIAO_PAGE_BEGIN
        {
            "root": "addon/shop_fenxiao",
            "pages": [
                // *********************************** 商城分销 ***********************************
                {
                    "path": "pages/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.index%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/zone",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.zone%"
                    }
                },
                {
                    "path": "pages/level",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.level%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/child_fenxiao",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.child_fenxiao%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/goods",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.goods%"
                    }
                },
                {
                    "path": "pages/team",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.team%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/agent_list",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.agent_list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/team_dividend",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.team_dividend%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.order%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/apply",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.apply%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/task_rewards",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.task_rewards%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/task_detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.task_detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/task_rewards_detail",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.task_rewards_detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/sale",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_fenxiao.pages.sale%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/sale_detail",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.sale_detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/sale_ranking",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.sale_ranking%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/promote",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.promote%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/promote_code",
                    "style": {
                        "navigationBarTitleText": "%shop_fenxiao.pages.promote_code%"
                    }
                }
            ]
        },
        // SHOP_FENXIAO_PAGE_END
        // SHOP_GIFTCARD_PAGE_BEGIN
        {
            "root": "addon/shop_giftcard",
            "pages": [
                // *********************************** 礼品卡 ***********************************
                {
                    "path": "pages/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_giftcard.pages.index%"
                    }
                },
                {
                    "path": "pages/list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_giftcard.pages.list%"
                    }
                },
                {
                    "path": "pages/detail",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.detail%"
                    }
                },
                {
                    "path": "pages/order_list",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.order_list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order_detail",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.order_detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/member",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_giftcard.pages.member%"
                    }
                },
                {
                    "path": "pages/my_card_list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_giftcard.pages.my_card_list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/card_bag",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.card_bag%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/activate",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%shop_giftcard.pages.activate%"
                    }
                },
                {
                    "path": "pages/receive_list",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.receive_list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/give_list",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.give_list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/give_detail",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.give_detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/give",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.give%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/receive_info",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.receive_info%"
                    }
                },
                {
                    "path": "pages/use_card",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.use_card%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/use_goods_select",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.use_goods_select%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/payment",
                    "style": {
                        "navigationBarTitleText": "%shop_giftcard.pages.payment%"
                    },
                    "needLogin": true
                }
            ]
        },
        // SHOP_GIFTCARD_PAGE_END
        // PINTUAN_PAGE_BEGIN
        // *********************************** pintuan ***********************************
        {
            "root": "addon/pintuan",
            "pages": [
                {
                    "path": "pages/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.index%"
                    }
                },
                {
                    "path": "pages/goods/list",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.goods.list%"
                    }
                },
                {
                    "path": "pages/goods/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.goods.detail%"
                    }
                },
                {
                    "path": "pages/my_spell",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.my_spell%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/member/index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintaun.pages.member.index%"
                    }
                },
                {
                    "path": "pages/share",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.share%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.order.detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/list",
                    "style": {
                        "navigationBarTitleText": "%pintuan.pages.order.list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/payment",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.order.payment%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/apply",
                    "style": {
                        "navigationBarTitleText": "%pintuan.pages.refund.apply%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/detail",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pintuan.pages.refund.detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/list",
                    "style": {
                        "navigationBarTitleText": "%pintuan.pages.refund.list%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/refund/edit_apply",
                    "style": {
                        "navigationBarTitleText": "%pintuan.pages.refund.edit_apply%"
                    },
                    "needLogin": true
                }, {
                    "path": "pages/refund/log",
                    "style": {
                        "navigationBarTitleText": "%pintuan.pages.refund.log%"
                    },
                    "needLogin": true
                },
                {
                    "path": "pages/order/card_record",
                    "style": {
                        "navigationBarTitleText": "%pintuan.pages.order.card_record%"
                    },
                    "needLogin": true
                }
            ]
        },
        // PINTUAN_PAGE_END
// {{ PAGE_END }}
        {
            "root": "app/pages/member",
            "pages": [
                {
                    "path": "apply_cash_out",
                    "style": {
                        "navigationBarTitleText": "%pages.member.apply_cash_out%"
                    },
                    "needLogin": true
                },
                {
                    "path": "commission",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.commission%"
                    },
                    "needLogin": true
                },
                {
                    "path": "balance",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.balance%"
                    },
                    "needLogin": true
                },
                {
                    "path": "level",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.level%"
                    },
                    "needLogin": true
                },
                {
                    "path": "detailed_account",
                    "style": {
                        "navigationBarTitleText": "%pages.member.detailed_account%"
                    }
                },
                {
                    "path": "cash_out",
                    "style": {
                        "navigationBarTitleText": "%pages.member.cash_out%"
                    }
                },
                {
                    "path": "cash_out_detail",
                    "style": {
                        "navigationBarTitleText": "%pages.member.cash_out_detail%"
                    }
                },
                {
                    "path": "index",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.index%"
                    }
                },
                {
                    "path": "personal",
                    "style": {
                        "navigationBarTitleText": "%pages.member.personal%"
                    },
                    "needLogin": true
                },
                {
                    "path": "personal_form",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.personal_form%"
                    },
                    "needLogin": true
                },
                {
                    "path": "point",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.point%"
                    },
                    "needLogin": true
                },
                {
                    "path": "point_detail",
                    "style": {
                        "navigationBarTitleText": "%pages.member.point_detail%"
                    },
                    "needLogin": true
                },
                {
                    "path": "account",
                    "style": {
                        "navigationBarTitleText": "%pages.member.account%"
                    },
                    "needLogin": true
                },
                {
                    "path": "account_edit",
                    "style": {
                        "navigationBarTitleText": "%pages.member.account_edit%"
                    },
                    "needLogin": true
                },
                {
                    "path": "address",
                    "style": {
                        "navigationBarTitleText": "%pages.member.address%"
                    },
                    "needLogin": true
                },
                {
                    "path": "address_edit",
                    "style": {
                        "navigationBarTitleText": "%pages.member.address_edit%"
                    },
                    "needLogin": true
                },
                {
                    "path": "sign_in",
                    "style": {
                        // #ifndef H5
                        "navigationStyle": "custom",
                        // #endif
                        "navigationBarTitleText": "%pages.member.sign_in%"
                    },
                    "needLogin": true
                },
                {
                    "path": "contact",
                    "style": {
                        "navigationBarTitleText": "%pages.member.contact%"
                    }
                }
            ]
        }
    ],
    "globalStyle": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "",
        "navigationBarBackgroundColor": "#ffffff",
        "backgroundColor": "#F6F6F6",
        "backgroundColorTop": "#F6F6F6",
        "backgroundColorBottom": "#F6F6F6"
    },
    "tabBar": {
        "list": [{
                "pagePath": "app/pages/index/index"
            },
            {
                "pagePath": "app/pages/index/nosite"
            }
        ]
    },
    "uniIdRouter": {},
    "easycom": {
        "custom": {
            "^u-(.*)": "uview-plus/components/u-$1/u-$1.vue",
            "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
            "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue"
        }
    }
}
